This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 226329 - Merge Review: pycairo (stalled)
Merge Review: pycairo (stalled)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:45 EST by Nobody's working on this, feel free to take it
Modified: 2010-07-03 10:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-03 10:46:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
roozbeh: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:45:03 EST
Fedora Merge Review: pycairo

http://cvs.fedora.redhat.com/viewcvs/devel/pycairo/
Initial Owner: mbarnes@redhat.com
Comment 1 Roozbeh Pournader 2007-02-04 15:29:06 EST
Random notes:
* Change URL to: http://cairographics.org/pycairo
* Add complete URL for "Source:"
* Use full BuildRoot of
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* No need to BuildRequires on python, python-devel pull that
* Use make %{?_smp_mflags} instead of make
* Use %{name} in Requires: %name = %{version}-%{release} (style)
* Don't use %makeinstall, but make DESTDIR=$RPM_BUILD_ROOT install
* Change 'xargs rm' to 'xargs rm -f'
* The %doc line is empty. At least ship ChangeLog, README, AUTHORS, COPYING*,
and NEWS. Perhaps also NOTES (in main package or -devel, don't really know).
* -devel package should Require pkgconfig
* Change this:
    %dir %{_includedir}/pycairo
    %{_includedir}/pycairo/pycairo.h
  to this:
    %{_includedir}/pycairo/
Comment 2 Matthew Barnes 2007-02-05 12:57:58 EST
Fixed in pycairo-1.2.6-3.fc7.
Comment 3 Roozbeh Pournader 2007-02-06 09:18:21 EST
More necessary and suggested changes:
* You forgot to change the BuildRoot
* License is actually LGPL/MPL, while the License field only says LGPL. (BLOCKER)
* The description and the summary field say exactly the same thing. Expand the
description field.
* I do not know about the specifics of the dependency on cairo, but are you sure
the dependency is actually >= 1.2.6 and not = 1.2.6?
* The extra info "-n pycairo-%{version}" is not necessary, as the tarball gets
unpacked to the same directory anyway. Just use "%setup -q".
* You should not use .fc7 and such in %changelog comments (unless your change is
only for that version of Fedora, which is not the case here)

I believe that is all, but I have not done a check-list check yet. Will do that
as soon as you fix these.
Comment 4 Bug Zapper 2008-05-14 08:08:55 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Milan Crha 2010-03-18 09:13:41 EDT
As of pycairo-1.8.6-2.1:
Is the
> BuildRequires: pkgconfig
necessary? I know it's used in a -devel package, but it's named there as
> Requires: pkgconfig
so it should build even without that BuildRequires, shouldn't it?

Apart of this the spec file looks good from my point of view.
Comment 6 Christopher Brown 2010-07-03 10:46:42 EDT
Err yeah, this is an old bug that should be closed.

Note You need to log in before you can comment on or make changes to this bug.